import QtQuick 1.1
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "../common/Margins.js" as Margins

Item {
    id: textEditBox
    property string descriptioText
    property alias editText: editTextBox.text
    property int editWidth: 100
    property Item dialogParent: null
    property variant target: textEditBox
    property string targetProperty : ""

    height: editTextBox.height

    Widgets.EditBox
    {
        id: editTextBox
        anchors.right: parent.right

        width: editWidth
        isPassword: true
        fontBold: true
        height: 25

        Keys.onPressed:
        {
            // press shortcut
            if (event.key === Qt.Key_Alt)
                if (parent)
                    dialogParent.forceActiveFocus()
        }
    }

    Text
    {
        id: description
        anchors {
            verticalCenter: editTextBox.verticalCenter
            right: editTextBox.left
            rightMargin: 6
        }
        text: hotKeyParser.textToShow
        color: "black"
        font: commonFontStyles.standardCommonTextFont
    }

    Binding {target: textEditBox.target; property: textEditBox.targetProperty; value: editTextBox.text }

    Widgets.HotKeyParser
    {
        id: hotKeyParser
        text: descriptioText
    }
    Widgets.HotKey
    {
        text: hotKeyParser.hotKeyText
        onPressed: editTextBox.setActiveFocus()
    }
    function setActiveFocus()
    {
        editTextBox.setActiveFocus();
    }
}
