import QtQuick 1.1
import "../common/EnumHelper.js" as EnumHelper

Item
{
    property string value
    property string itemId
	property string stateId
    property bool canWrap: false
	property variant context: MainWindow.dashboard

	anchors.left:parent.left
    anchors.right:parent.right
    height: childrenRect.height

    function getStateImage(object, propertyName)
    {
            return EnumHelper.convert(object, propertyName, {
                    "Unknown":"",
                    "Info":"../common/images/main_window/fine.png",
                    "Warning":"../common/images/main_window/problem.png",
                    "Critical":"../common/images/main_window/risk.png"});
    }

    Image
    {
        id: image
        anchors.left:parent.left
        source: getStateImage(context, stateId == "" ? itemId : stateId)
    }

    Text
    {
        id: header
        anchors.left: image.right
        anchors.leftMargin: 3
        font: fontStyles.dashboardCaptionFont
        color: "white";
        text: itemId;
        anchors.verticalCenter: image.verticalCenter
        anchors.verticalCenterOffset: 2
    }

    Text
    {
        id: textInfo
        elide: canWrap ? Text.ElideNone : Text.ElideRight
        anchors.left:  header.right; anchors.leftMargin: 4
        anchors.right: parent.right
        font: fontStyles.dashboardDescriptionFont
        color: "white";
        text: value
        anchors.top: header.top
        wrapMode: canWrap ? Text.WordWrap : Text.NoWrap
    }
}
