import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/EnumHelper.js" as EnumHelper
import "../common/widgets" as Widgets


Widgets.Button
{
    id: button
    objectName: component.ComponentType;
    tabOrder: 0
    signal activate(string panelName)
    signal rightPressed
    signal leftPressed
    signal downPressed
    signal upPressed
    focus: ListView.view != null && ListView.view.focusIndex == index && button.enabled
    focusRectEnabled: false
    setFocusOnPressed: true

width: 128
height: 80                                
    Localizer { id:tr; scope:"MainWindow" }
    text: tr.Localize(component.ComponentType);
    backgroundImage: getComponentImage(component.ComponentType);
    textcolor: "#ffffff"
    textcolorPressed:	"#999999"
    textfont.family: "FranklinGothicMediumTT"
    textfont.pointSize: 10
    textWidth: 150
    horizontalMargin: 12
    textVerticalOffset: 30

    Widgets.FocusRect
    {
        }

    property variant context: MainWindow
    property variant component: model.modelData
    property bool defaultArrowsProcessing: true
    function getImageSuffix(componentType)
    {
        switch (componentType)
        {
            case "Scan": return "01";
            case "ProgramsActivity": return "02";
            case "Updater": return "03";
            case "NetworkMonitoring": return "04";
            case "VirtualKeyboard": return "05";
            case "ParentalControl": return "06";
            case "Quarantine": return "07";
            case "Tools": return "08";
            case "SafeBanking": return "09";
            case "Upgrade": return "10";
            default: return "";
        }
    }

    function getComponentImage(componentType)
    {
        var suffix = getImageSuffix(componentType)
        var prefix = (suffix === "") ? "../images/main_window/featurebox/icons_" : "../images/main_window/featurebox/icons_";
        suffix = (suffix === "") ? componentType : suffix;
        return prefix + suffix + ".png";
    }

    onClicked:
    {
        if (Qt.isQtObject(component.Action))
            component.Action.Invoke();
        else
            button.activate("panel" + component.ComponentType);
    }

    Keys.onUpPressed:
    {
        //button.upPressed();
        //event.accepted = !button.defaultArrowsProcessing;
    }
}
