import QtQuick 1.1
import QtWidgetProxies 1.0
import "../../common/widgets" as Widgets
import "../../common/fonts" as Fonts
import ".." as SettingsCommon
import "../SettingsMargins.js" as Margins
import "../SettingsHelper.js" as SettingsHelper
import "../../common/HelpMapper.js" as HelpMapper

Item
{
    id: settingsPage

    property int helpId: HelpMapper.FileMonitorSettingsHelpId

    property variant context: SettingsHelper.GetPageContext(Settings, "FileMonitor")
    property variant fontStyles: Fonts.Common{}

    objectName: "FileMonitor"

    Localizer { id: tr; scope: "FileMonitorSettings" }

    Column
    {
        objectName: "MainWrapper"
        width: parent.width
        spacing: Margins.settingsPageSpacing

        SettingsCommon.SettingsSection
        {
            objectName: "GeneralFileMonitorSection"
            body: Column
            {
                objectName: "GeneralFileMonitor"
                spacing: Margins.settingsMainSectionSpacing

                SettingsCommon.SettingsStandardText
                {
                    width: parent.width
                    anchors.left: parent.left
                    text: tr.Localize("Description")
                    wrapMode: Text.Wrap
                }

                SettingsCommon.CheckBox
                {
                    objectName: "EnableFileMonitor"
                    text: tr.Localize("UseFileMonitor");
                    anchors.left: parent.left
                    isBold: true
                    target: context
                    property: "enableFileMonitor"
                }
            }
        }

        SettingsCommon.SecurityLevelSection
        {
            context: settingsPage.context.levelViewModel
            enabled: settingsPage.context.enableFileMonitor
        }

        SettingsCommon.ThreatDetectionActionSection
        {
            context: settingsPage.context.threatViewModel
            enabled: settingsPage.context.enableFileMonitor
        }
    }
}
