import QtQuick 1.1
import "../fonts" as Fonts

Item
{
	property variant commonFontStyles: Fonts.Common{}
	property variant vars
	property variant valueLocalizer
	property variant nameLocalizer
	property variant value : model.modelData.value

    width: parent.width
    height: row.height
	
	function getIcon(iconId) 
	{	
		if ("ProcessingIcon" == iconId)
			return "../images/updating.png";
			
		return "";
	}
	
	function getStateColor(state)
	{
		switch (state)
		{
            case "Info":     return "green"
            case "Warning":  return "yellow"
            case "Critical": return "red"            
		}
		return "gray"
	}
		
	Row
	{
        anchors.left: parent.left
        id: row
		spacing: 5
		objectName: "statLine"
		Text 
		{
			text: nameLocalizer === undefined || vars === undefined ? model.modelData.name : nameLocalizer.Localize(model.modelData.name, vars);
			font: commonFontStyles.standardCommonTextFont
		}
		Image
		{
			source: getIcon(model.modelData.picture)
		}
		
		Text 
		{
			visible: !linkItem.visible
			text: valueLocalizer === undefined || vars === undefined ? value : valueLocalizer.Localize(value, vars);
			font: commonFontStyles.standardCommonTextFont
		}
		Hyperlink
		{
			id: linkItem
			objectName: nameLocalizer === undefined ? "StatLineLink" : model.modelData.name;
			visible: model.modelData.action != undefined
			text: valueLocalizer === undefined || vars === undefined ? value : valueLocalizer.Localize(value, vars);
			onClicked: model.modelData.action.Invoke()
		}
	}
}
