import QtQuick 1.1

Item
{
    id: innerPanel
    signal back
    signal home
    signal activationCompleted
    signal activate(string panelName)
	signal windowChanged
    property bool canHome: parent.canHome(innerPanel)
    property string file
    property alias item: loader.item
    property string prevSettingsPage
    onActivationCompleted:
    {
    	if (item)
    		item.activationCompleted();
    }
    function show()
    {
        loader.source = file
        visible = true
        prevSettingsPage = MainWindow.startPage.SettingsPage;
        if (loader.item.settingsPage)
            MainWindow.startPage.SettingsPage = loader.item.settingsPage;

        if (loader.item.onShow)
            loader.item.onShow()
    }
    function hide()
    {
        if (loader.item.onHide)
            loader.item.onHide()
        visible = false
        if (loader.item.unloadable)
            loader.source = ""
        MainWindow.startPage.SettingsPage = prevSettingsPage;
    }
	function getCurrent()
    {
        return loader.item;
    }
    property variant prev // previous InnerPanel in list of left-sided panels
    property variant next // next InnerPanel in list of left-sided panels

    objectName: "innerPanel"
    width: parent.width
    height: parent.height

    Loader
    {
        anchors.fill: parent
        id: loader
        objectName: "innerPanelLoader"
        Connections
        {
            ignoreUnknownSignals: true
            target: loader.item
            onBack: innerPanel.back()
            onHome: innerPanel.home()
            onActivate: innerPanel.activate(panelName)
			onWindowChanged: innerPanel.windowChanged()
        }
        Binding
        {
            target: loader.item
            property: "canHome"
            value: innerPanel.canHome
            when: loader.status == Loader.Ready
        }
    }
}
