import QtQuick 1.1
import "../common/EnumHelper.js" as EnumHelper
import "../common/widgets" as Widgets

FocusScope
{
	id: scan
	objectName: "ScanTask"

	property int tabOrder: 1

	property variant context
	property variant contextScan
	
	property string scanHeader
	property string firstTimeRun
	property string askStopScan
	property string askResumeScan

	function checkScanTaskType(scanType)
	{
		if(scan.contextScan.Type != undefined)
			return (scanType == EnumHelper.getKey(scan.contextScan, "Type")) ? true : false;
		return false;
	}
	function setFrontPosition()				{scanFlip.state = ""; frontPosition();}
	function setBackPosition()				{scanFlip.state = "back"; backPosition();}
	function startScan()					{setFrontPosition(); contextScan.Start();}

    property bool isRunning: contextScan.IsRunning
    onIsRunningChanged:
    {
        setFrontPosition()
    }

	signal frontPosition
	signal backPosition
	
	clip: false

	Widgets.FlipableY
	{
		id:				scanFlip
		anchors.fill:	parent
		objectName:		"FlipablePanel"
        clip:			false

		onAnimationFinished:
		{
			if (scanFlip.isFlipped())
				askPanel.setActiveFocus();
			else
				frontView.setActiveFocus();
		}

		property alias contextScan: scan.contextScan
		front: ScanTaskFrontView
		{
			id:	frontView
			objectName:	"FrontView"
            anchors.fill: parent
            enabled: !scanFlip.isFlipped();
		}

		back: ScanTaskBackView
		{
			id:					askPanel
			objectName:			"BackView"
            anchors.fill: parent
            enabled: scanFlip.isFlipped();
		}
	}
}
