import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/EnumHelper.js" as EnumHelper

Item
{
	width:		parent ? parent.width : 0
    height:		captionText.height + 2
	objectName: "onComplete"

	Localizer { id:tr; scope:"ScanTask" }

	Text
	{
		id:		captionText
		text:	tr.Localize("TaskManager_CaptionOnComplete")
		color:	"black";
		anchors.left: parent.left

		font:commonFontStyles.standardCommonTextFont
		verticalAlignment: Text.AlignVCenter
		horizontalAlignment: Text.AlignLeft
	}
	Widgets.EnumCombo
	{
		tabOrder: 0
		anchors.left:		captionText.right
		anchors.leftMargin:	4
		focus: true

		target: taskModel
		property: "ActionOnTaskCompleted"
        anchors.verticalCenter: captionText.verticalCenter
		when:		EnumHelper.getKey(taskModel, "Type") == "Full" && taskModel.IsRunning;
		localizationObject: tr
	}
}
