import QtQuick 1.1
import "../common/widgets" as Widgets

FocusScope
{
	id: progressComponent
	signal flip

	focus: true
	objectName: "progress"
	width: parent ? parent.width : 0
	height: stopTaskButton.y + stopTaskButton.height

	onFocusChanged: stopTaskButton.focus = focus

	Widgets.TaskProgressBar
	{
		id: progressBar;
		y: 8
		anchors.left: parent.left
		anchors.right: stopTaskButton.left;
		anchors.rightMargin: 8
		percent: parent.visible ? taskModel.CompletionPercent : 0;
	}

	Widgets.Button
	{
		id: stopTaskButton
		objectName: "stopTaskButton"
		focus: true
		setFocusOnPressed: true
		tabOrder: 0
		anchors.right: parent.right;
		anchors.verticalCenter:progressBar.verticalCenter;
		visible: taskModel.CanStop;

		iconImage: "../images/task_manager/stop_normal.png"
		iconHoverImage: "../images/task_manager/stop_hover.png"
		iconPressedImage: "../images/task_manager/stop_pressed.png"
		onClicked: progressComponent.flip()

		focusRectEnabled: false
		Widgets.FocusRect
		{
			z: 1000
			target: stopTaskButton
			anchors.topMargin: 2
			anchors.bottomMargin: 3
			anchors.leftMargin: 2
			anchors.rightMargin: 3
		}
	}
}
