import QtQuick 1.1
import QtWidgetProxies 1.0
import "../../common/fonts" as Fonts
import "../../common/EnumHelper.js" as EnumHelper
import "../../common/ProductTypeHelper.js" as ProductTypeHelper
import "../../common/widgets" as Widgets


Widgets.SimpleMessageBox
{
    id: rescuediskRequestCancelOperation

    Localizer { id: tr; scope: "RescueDiskWizard" }
    property variant context: ViewModel

    iconSource: "../images/ico_warning_48.png"
    caption: ProductTypeHelper.getProductNameFull(tr, context)
    description: tr.Localize("TaskQuestion_" + context.Question,{"ParameterText" : context.ParameterText});
    cancelButtonText: tr.Localize("No")
    okButtonText: tr.Localize("Yes")
    applyButtonText : tr.Localize("Yes_to_All")
    width:350

    applyVisible: true

    onCancelClicked:
    {
        context.Decision = 8
        Window.Close()
    }

    onOkClicked:
    {
        context.Decision = 4
        Window.Close()
    }

    onApplyClicked:
    {
        context.Decision = 0x00200
        Window.Close()
    }
}
