import QtQuick 1.1
import QtWidgetProxies 1.0
import "../../../common/widgets" as Widgets
import "../../../common/border" as Border
import "../../../common/Colors.js" as Colors
import "../../../common/fonts" as Fonts
import "../../../common/HelpMapper.js" as HelpMapper

Item
{
    id: greetings
    objectName: "deviceSelectionPage"

    Localizer { id: tr; scope: "RescueDiskWizard" }
    property variant context: RescueDiskWizard.GetPageContext()
    property variant commonFontStyles: Fonts.Common{}
    property string textMarker: rescueDiskMain.getMarker()

    function getHelpId()
    {
        return HelpMapper.RescueDiskWizardIntroHelp;
    }

    Column{

        anchors.left: parent.left
        anchors.top: parent.top
        anchors.leftMargin: 40
        anchors.topMargin: 60

        Text
        {
            id: titleLabel
            wrapMode: Text.WordWrap
            font: commonFontStyles.standardSmallCaptionFont
            text: tr.Localize("DriveSelectionTitle_"+textMarker)
        }

        Rectangle { color: "lightgray"; width: parent.width; height: 1 }

        Text
        {
            id: descriptionLabel
            wrapMode: Text.WordWrap
            text: tr.Localize("DriveSelectionDescription_"+textMarker)
        }

        Text
        {
            id: aboveComboLabel
            horizontalAlignment: Text.AlignLeft
            wrapMode: Text.WordWrap
            text: tr.Localize("DriveSelectionComboTitle_"+textMarker)
        }

        Widgets.ListCombo
        {
          id: combo

          width: 50
          target: context
          property: "deviceID"
          keyList: context.deviceNames
        }

        Text
        {
          id: bigDescriptionLabel

          wrapMode: Text.WordWrap
          text: tr.Localize("DriveSelectionBigDescription_"+textMarker)
        }
    }

}

