import QtQuick 1.1
import QtWidgetProxies 1.0
import "../../../common/widgets" as Widgets
import "../../../common/fonts" as Fonts
import "../../../common/HelpMapper.js" as HelpMapper

Item
{
    id: greetings
    objectName: "pathSelectionPage"

    anchors.fill: parent
    property variant context: RescueDiskWizard.GetPageContext()
    property variant commonFontStyles: Fonts.Common{}
    property string textMarker: rescueDiskMain.getMarker()

    function getHelpId()
    {
        return HelpMapper.RescueDiskWizardIntroHelp;
    }

    Column{

        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.leftMargin: 40
        anchors.rightMargin: 40
        anchors.topMargin: 40
        spacing: 20

        Text
        {
            id: pathTitleLabel
            wrapMode: Text.WordWrap
            width: parent.width
            font: commonFontStyles.standardSmallCaptionFont
            text: tr.Localize("PathSelectionTitle_" + textMarker);
        }

        Rectangle { color: "lightgray"; width: parent.width; height: 1 }

        Text
        {
            id: pathDescriptionTitleLabel
            width: parent.width
            wrapMode: Text.WordWrap
            text: tr.Localize("PathSelectionDescription_" + textMarker);
        }

        Text
        {
            id: browseText
            text: tr.Localize("PathSelectionBrowse")
        }

        Row
        {
            objectName: "Row"
            spacing: 10

            Widgets.EditBox
            {
                id: editTextBox
                anchors.verticalCenter: parent.verticalCenter

                width: 411
                height: 21

                target: context
                property: "pathText"
            }

            Widgets.GrayButton
            {
                id: browseButton
                anchors.verticalCenter: parent.verticalCenter
                objectName: "pathSelectButton"
                text: tr.Localize("PathSelectionButton")
                onClicked:
                {
                    context.OnBrowseBtnPressed()
                }
            }
         }
    }
}

